#!/usr/bin/env ruby

require "nkf"
require "uconv"

hist = Hash.new(0)
$<.each do
  |ln|
  next if ln !~ /^http/
  true while ln.gsub!(/%(..)/) { [$1.hex].pack("c") }
  true while ln.gsub!(/\\x([0-9a-fA-F]{2})/) { [$1.hex].pack("c") }

  begin
    key = Uconv.u8toeuc(ln)
  rescue Exception
    key = NKF.nkf("-e", ln)
  end
  hist[key] += 1
end

hist.keys.sort.each { |key| puts "%4d .... %s"%[hist[key], key] }
